StoreFactoryRule (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.StoreFactoryRule class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class StoreFactoryRule

    java.lang.Object
      org.apache.tomcat.util.digester.Rule
          org.apache.catalina.storeconfig.StoreFactoryRule

public class StoreFactoryRule
extends Rule

Rule that creates a new `IStoreFactory` instance, and associates it with the top object on the stack (which must implement `IStoreFactory`).

Author:
  Peter Rossbach

Field Summary

Fields inherited from class org.apache.tomcat.util.digester.Rule
`digester, namespaceURI`

Constructor Summary
`StoreFactoryRule(java.lang.String storeFactoryClass, java.lang.String attributeName, java.lang.String storeAppenderClass, java.lang.String appenderAttributeName)` Construct a new instance of this Rule.

Method Summary
`void` | `begin(java.lang.String namespace, java.lang.String name, org.xml.sax.Attributes attributes)` Handle the beginning of an XML element.
`protected java.lang.Object` | `newInstance(java.lang.String attr, java.lang.String defaultName, org.xml.sax.Attributes attributes)` create new instance from attribte className!

Methods inherited from class org.apache.tomcat.util.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreFactoryRule

    public StoreFactoryRule(java.lang.String storeFactoryClass,
                            java.lang.String attributeName,
                            java.lang.String storeAppenderClass,
                            java.lang.String appenderAttributeName)

  Construct a new instance of this Rule.

Parameters:
  `storeFactoryClass` - Default name of the StoreFactory implementation class to be created
  `attributeName` - Name of the attribute that optionally includes an override name of the IStoreFactory class

Method Detail

### begin

    public void begin(java.lang.String namespace,
                      java.lang.String name,
                      org.xml.sax.Attributes attributes)
               throws java.lang.Exception

  Handle the beginning of an XML element.

  Overrides:
    `begin` in class `Rule`
  Parameters:
    `attributes` - The attributes of this element
    `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
    `name` - the local name if the parser is namespace aware, or just the element name otherwise
  Throws:
    `java.lang.Exception` - if a processing error occurs

### newInstance

    protected java.lang.Object newInstance(java.lang.String attr,
                                           java.lang.String defaultName,
                                           org.xml.sax.Attributes attributes)
                                    throws java.lang.ClassNotFoundException,
                                           java.lang.InstantiationException,
                                           java.lang.IllegalAccessException

  create new instance from attribte className!

  Parameters:
    `attr` - class Name attribute
    `defaultName` - Default Class
    `attributes` - current digester attribute elements
  Returns:
    new config object instance
  Throws:
    `java.lang.ClassNotFoundException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.